package admin

import (
	"code.gitea.io/gitea/models"
	"code.gitea.io/gitea/modules/context"
	"code.gitea.io/gitea/routers/response"
	"code.gitea.io/gitea/services/role"
	"net/http"
)

func AddRole(ctx *context.APIContext, form models.AddRoleReq) {
	user, err := models.GetUserByName(form.UserName)
	if err != nil {
		ctx.JSON(http.StatusOK, response.ServerError("User not exists"))
		return
	}
	err = role.AddUserRole(user.ID, form.RoleType)
	if err != nil {
		ctx.JSON(http.StatusOK, response.ResponseError(err))
		return
	}
	ctx.JSON(http.StatusOK, response.Success())
}
