package role

import (
	"code.gitea.io/gitea/models"
)

func AddUserRole(userId int64, roleType models.RoleType) error {
	role := GetRole(roleType)
	if role == nil {
		return models.ErrRoleNotExists{}
	}
	_, err := models.NewUserRole(models.UserRole{UserId: userId, RoleType: roleType})
	return err
}

func UserHasRole(userId int64, roleType models.RoleType) bool {
	role := GetRole(roleType)
	if role == nil {
		return false
	}
	_, err := models.GetUserRoleByUserAndRole(userId, roleType)
	if err != nil {
		return false
	}
	return true
}
